> ## Documentation Index
> Fetch the complete documentation index at: https://tbd-6fc993ce-add-json-output-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Move or rename a file or directory



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/kernel/openapi.documented.yml put /browsers/{id}/fs/move
openapi: 3.1.0
info:
  title: Kernel API
  description: Developer tools and cloud infrastructure for AI agents to use web browsers
  version: 0.1.0
servers:
  - url: https://api.onkernel.com
    description: API Server
security:
  - bearerAuth: []
tags:
  - name: Invocations
    description: Invoke actions and stream or query invocation status and events.
  - name: Browsers
    description: >-
      Create and manage browser sessions, filesystem, processes, logs, and
      replays.
  - name: Proxies
    description: Create and manage proxy configurations for routing browser traffic.
  - name: Deployments
    description: Create and manage app deployments and stream deployment events.
  - name: Apps
    description: List applications and versions.
  - name: Profiles
    description: Create, list, retrieve, and delete browser profiles.
  - name: Extensions
    description: Create, list, retrieve, and delete browser extensions.
  - name: Browser Pools
    description: Create and manage browser pools for acquiring and releasing browsers.
  - name: Agent Auth
    description: Agent authentication flow endpoints for hosted credential capture.
paths:
  /browsers/{id}/fs/move:
    put:
      tags:
        - Browsers
      summary: Move or rename a file or directory
      operationId: movePath
      parameters:
        - name: id
          in: path
          required: true
          description: Browser session ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MovePathRequest'
      responses:
        '200':
          description: Move successful
        '400':
          $ref: '#/components/responses/BadRequest'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Kernel from '@onkernel/sdk';


            const client = new Kernel({
              apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
            });


            await client.browsers.fs.move('id', { dest_path: '/J!', src_path:
            '/J!' });
        - lang: Python
          source: |-
            import os
            from kernel import Kernel

            client = Kernel(
                api_key=os.environ.get("KERNEL_API_KEY"),  # This is the default and can be omitted
            )
            client.browsers.fs.move(
                id="id",
                dest_path="/J!",
                src_path="/J!",
            )
        - lang: Go
          source: |
            package main

            import (
              "context"

              "github.com/kernel/kernel-go-sdk"
              "github.com/kernel/kernel-go-sdk/option"
            )

            func main() {
              client := kernel.NewClient(
                option.WithAPIKey("My API Key"),
              )
              err := client.Browsers.Fs.Move(
                context.TODO(),
                "id",
                kernel.BrowserFMoveParams{
                  DestPath: "/J!",
                  SrcPath: "/J!",
                },
              )
              if err != nil {
                panic(err.Error())
              }
            }
components:
  schemas:
    MovePathRequest:
      type: object
      required:
        - src_path
        - dest_path
      properties:
        src_path:
          type: string
          description: Absolute source path.
          pattern: ^/.*
        dest_path:
          type: string
          description: Absolute destination path.
          pattern: ^/.*
      additionalProperties: false
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Application-specific error code (machine-readable)
          example: bad_request
        message:
          type: string
          description: Human-readable error description for debugging
          example: 'Missing required field: app_name'
        details:
          type: array
          description: Additional error details (for multiple errors)
          items:
            $ref: '#/components/schemas/ErrorDetail'
        inner_error:
          $ref: '#/components/schemas/ErrorDetail'
    ErrorDetail:
      type: object
      properties:
        code:
          type: string
          description: Lower-level error code providing more specific detail
          example: invalid_input
        message:
          type: string
          description: Further detail about the error
          example: Provided version string is not semver compliant
  responses:
    BadRequest:
      description: Bad Request – invalid input
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden – insufficient permissions or plan
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````